WHY I still have IIRF v1.2.15 R3 from Oct 2008 ?

Topics: Developer Forum, Project Management Forum, User Forum
Jul 28, 2010 at 9:25 AM
Edited Jul 28, 2010 at 9:26 AM
Hi again ! I have tremendous problems making this IIRF work.. My webhost installed me the IIRF v1.2.15 R3 this july 2010. But here I see that the filter got updated many time and for a long time now. Did my webhost make a mistake ?
Coordinator
Jul 28, 2010 at 12:25 PM
Yes. I recommend that you use version 2.x. Version 1.2 works but 2.x works better. Plus, v1.2 is no longer maintained. Good luck.
Jul 28, 2010 at 12:57 PM

Hi Cheeso, thank you so much for this quick answer.

I had doubts but as nob, I was not very sure.

Is the new version adapted to IIS6 like in my case ?

My host here told me that it was why the old filter was installed....Does this stand ?

 

 

 

Coordinator
Jul 29, 2010 at 1:27 PM
The latest version of IIrf works with IIS6. All of what I have written here is also described the intro section in the documentation. Read it and you will have a better understanding.
Jul 30, 2010 at 8:28 AM
Well...I'll have to go on with this old version as my webhost apparently runs this one only now as it is a server wide installation and they had this version installed already. Further, they did not installed it well...so after this event serie I will now test it They say it works...so I'll try. Still, I feel sceptical about how a webhost could still use this old version... Cheers,
Jul 30, 2010 at 10:35 AM
Edited Jul 30, 2010 at 10:46 AM
I am working on the rewrite and went a step ahead ( HURRAY !!!) My url's changed to a full pretty URL ...at last BUT yes There is a but.. Here is my rule # IsapiRewrite4.ini RewriteCond %{REQUEST_FILENAME} !-f RewriteCond %{REQUEST_FILENAME} !-d RedirectRule ^/my-blog/index\.php/(.*)$ /my-blog/$1 [I,R=301] RewriteRule ^/my-blog/(?!index\.php|wp-|xmlrpc)(.*)$ /my-blog/index.php/$1 [I,L] # The index of my blog comes out as 404 and the post it bring a No input file specified. I am running this blog with the following: IIS6 Server Php 4.4.7 ( OLD !!) IIRF v 1.2.15 (OLD !!) Wordpress 3.0 Any idea if something could be wrong with this settings ? Everything look outdated lately...
rozenn wrote:
Well...I'll have to go on with this old version as my webhost apparently runs this one only now as it is a server wide installation and they had this version installed already. Further, they did not installed it well...so after this event serie I will now test it They say it works...so I'll try. Still, I feel sceptical about how a webhost could still use this old version... Cheers,